公告
Michael Lei · 四月 9

在 Docker 20.10.14+ 使用 InterSystems IRIS 容器

Docker 20.10.14(2022年3月23日发布)改变了赋予容器的Linux能力,其方式与InterSystems IRIS 2021.1(及以上)容器的Linux能力检查器不兼容。 

在Linux上运行Docker 20.10.14的用户会发现,IRIS 2021.1+容器将无法启动,并且日志会错误地报告缺少所需的Linux能力。  比如说。

[ERROR] Required Linux capability cap_setuid is missing.
[ERROR] Required Linux capability cap_dac_override is missing.
[ERROR] Required Linux capability cap_fowner is missing.
[ERROR] Required Linux capability cap_setgid is missing. 
[ERROR] Required Linux capability cap_kill is missing.
[FATAL] Your IRIS container is missing one or more required Linux capabilities.

解决方案

 

遇到这个问题的用户需要调整传递给容器入口的命令行,以禁用对Linux功能的检查。  在命令行中,在docker run或docker start命令中的镜像后面添加--check-caps false。 例如:

docker run containers.intersystems.com/intersystems/iris-community:2022.1.0.152.0 --check-caps false

如果你使用的是docker-compose,相应的改动如下:

  command: --check-caps false

能力检查是在启动IRIS进程之前检查常见的错误配置的一种方式。 禁用Linux能力检查对容器中运行的IRIS进程没有影响。

更多阅读

0
0 83
讨论 (0)1
登录或注册以继续